## org.apache.batik.apps.svgbrowser
Interface UndoableCommand

All Known Implementing Classes:
  AbstractCompoundCommand, AbstractUndoableCommand, HistoryBrowserInterface.AppendChildCommand, HistoryBrowserInterface.AttributeAddedCommand, HistoryBrowserInterface.AttributeModifiedCommand, HistoryBrowserInterface.AttributeRemovedCommand, HistoryBrowserInterface.ChangeNodeValueCommand, HistoryBrowserInterface.CharDataModifiedCommand, HistoryBrowserInterface.CompoundUpdateCommand, HistoryBrowserInterface.InsertNodeBeforeCommand, HistoryBrowserInterface.NodeInsertedCommand, HistoryBrowserInterface.NodeRemovedCommand, HistoryBrowserInterface.RemoveChildCommand, HistoryBrowserInterface.ReplaceChildCommand

    public interface UndoableCommand

The undoable/redoable command.

Method Summary
`void` `execute()` Executes this command.
`java.lang.String` `getName()` Gets the command name.
`void` `redo()` Performs redo for this command.
`boolean` `shouldExecute()` Tests if the command can be executed.
`void` `undo()` Performs undo for this command.

Method Detail

### execute

    void execute()

  Executes this command.

### undo

    void undo()

  Performs undo for this command.

### redo

    void redo()

  Performs redo for this command.

### getName

    java.lang.String getName()

  Gets the command name.

### shouldExecute

    boolean shouldExecute()

  Tests if the command can be executed.

  Returns:
    True if command should be executed

Copyright © 2008 Apache Software Foundation. All Rights Reserved.